# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.sites
Class BaseContentEntry<E extends BaseContentEntry<E>>

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<E>
                      com.google.gdata.data.sites.BaseContentEntry<E>

Type Parameters:
  `E` - concrete entry type

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

Direct Known Subclasses:
  AttachmentEntry, BasePageEntry, CommentEntry, ContentEntry, ListItemEntry, WebAttachmentEntry

    public abstract class BaseContentEntry<E extends BaseContentEntry<E>>

extends MediaEntry<E>

An entry representing a single content item.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`BaseContentEntry()` Default mutable constructor.
`BaseContentEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`BatchId` `getBatchId()` Returns the batch identifier.
`BatchInterrupted` `getBatchInterrupted()` Returns the batch interruption information.
`BatchOperation` `getBatchOperation()` Returns the batch operation.
`BatchStatus` `getBatchStatus()` Returns the batch response status information.
`Deleted` `getDeleted()` Returns the If present, indicates that an item has been deleted.
`Link` `getEntryPostLink()` Returns the link that provides the URI that can be used to post new entries to the feed.
`Publisher` `getPublisher()` Returns the The authenticated user that uploaded the document if different than the author.
`Revision` `getRevision()` Returns the revision.
`Link` `getRevisionLink()` Returns the revision sites link.
`boolean` `hasBatchId()` Returns whether it has the batch identifier.
`boolean` `hasBatchInterrupted()` Returns whether it has the batch interruption information.
`boolean` `hasBatchOperation()` Returns whether it has the batch operation.
`boolean` `hasBatchStatus()` Returns whether it has the batch response status information.
`boolean` `hasDeleted()` Returns whether it has the If present, indicates that an item has been deleted.
`boolean` `hasPublisher()` Returns whether it has the The authenticated user that uploaded the document if different than the author.
`boolean` `hasRevision()` Returns whether it has the revision.
`void` `setBatchId(BatchId batchId)` Sets the batch identifier.
`void` `setBatchInterrupted(BatchInterrupted batchInterrupted)` Sets the batch interruption information.
`void` `setBatchOperation(BatchOperation batchOperation)` Sets the batch operation.
`void` `setBatchStatus(BatchStatus batchStatus)` Sets the batch response status information.
`void` `setDeleted(Deleted deleted)` Sets the If present, indicates that an item has been deleted.
`void` `setPublisher(Publisher publisher)` Sets the The authenticated user that uploaded the document if different than the author.
`void` `setRevision(Revision revision)` Sets the revision.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Constructor Detail

### BaseContentEntry

    public BaseContentEntry()

  Default mutable constructor.

### BaseContentEntry

    public BaseContentEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getBatchId

    public BatchId getBatchId()

  Returns the batch identifier.

  Returns:
    batch identifier

### setBatchId

    public void setBatchId(BatchId batchId)

  Sets the batch identifier.

  Parameters:
    `batchId` - batch identifier or `null` to reset

### hasBatchId

    public boolean hasBatchId()

  Returns whether it has the batch identifier.

  Returns:
    whether it has the batch identifier

### getBatchInterrupted

    public BatchInterrupted getBatchInterrupted()

  Returns the batch interruption information.

  Returns:
    batch interruption information

### setBatchInterrupted

    public void setBatchInterrupted(BatchInterrupted batchInterrupted)

  Sets the batch interruption information.

  Parameters:
    `batchInterrupted` - batch interruption information or `null` to reset

### hasBatchInterrupted

    public boolean hasBatchInterrupted()

  Returns whether it has the batch interruption information.

  Returns:
    whether it has the batch interruption information

### getBatchOperation

    public BatchOperation getBatchOperation()

  Returns the batch operation.

  Returns:
    batch operation

### setBatchOperation

    public void setBatchOperation(BatchOperation batchOperation)

  Sets the batch operation.

  Parameters:
    `batchOperation` - batch operation or `null` to reset

### hasBatchOperation

    public boolean hasBatchOperation()

  Returns whether it has the batch operation.

  Returns:
    whether it has the batch operation

### getBatchStatus

    public BatchStatus getBatchStatus()

  Returns the batch response status information.

  Returns:
    batch response status information

### setBatchStatus

    public void setBatchStatus(BatchStatus batchStatus)

  Sets the batch response status information.

  Parameters:
    `batchStatus` - batch response status information or `null` to reset

### hasBatchStatus

    public boolean hasBatchStatus()

  Returns whether it has the batch response status information.

  Returns:
    whether it has the batch response status information

### getDeleted

    public Deleted getDeleted()

  Returns the If present, indicates that an item has been deleted. Deleted entries are not shown by default.

  Returns:
    If present, indicates that an item has been deleted. Deleted entries are not shown by default

### setDeleted

    public void setDeleted(Deleted deleted)

  Sets the If present, indicates that an item has been deleted. Deleted entries are not shown by default.

  Parameters:
    `deleted` - If present, indicates that an item has been deleted. Deleted entries are not shown by default or `null` to reset

### hasDeleted

    public boolean hasDeleted()

  Returns whether it has the If present, indicates that an item has been deleted. Deleted entries are not shown by default.

  Returns:
    whether it has the If present, indicates that an item has been deleted. Deleted entries are not shown by default

### getPublisher

    public Publisher getPublisher()

  Returns the The authenticated user that uploaded the document if different than the author.

  Returns:
    The authenticated user that uploaded the document if different than the author

### setPublisher

    public void setPublisher(Publisher publisher)

  Sets the The authenticated user that uploaded the document if different than the author.

  Parameters:
    `publisher` - The authenticated user that uploaded the document if different than the author or `null` to reset

### hasPublisher

    public boolean hasPublisher()

  Returns whether it has the The authenticated user that uploaded the document if different than the author.

  Returns:
    whether it has the The authenticated user that uploaded the document if different than the author

### getRevision

    public Revision getRevision()

  Returns the revision.

  Returns:
    revision

### setRevision

    public void setRevision(Revision revision)

  Sets the revision.

  Parameters:
    `revision` - revision or `null` to reset

### hasRevision

    public boolean hasRevision()

  Returns whether it has the revision.

  Returns:
    whether it has the revision

### getEntryPostLink

    public Link getEntryPostLink()

  Returns the link that provides the URI that can be used to post new entries to the feed.

  Returns:
    Link that provides the URI that can be used to post new entries to the feed or `null` for none.

### getRevisionLink

    public Link getRevisionLink()

  Returns the revision sites link.

  Returns:
    Revision sites link or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`